=== debian/changelog ===
owncloud-client (2.5.1.10973.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>  Thu, 28 Jan 2021 19:49:32 +0800
