=== debian/changelog ===
owncloud-client (2.6.3.14058+dfsg-1) unstable; urgency=medium

  * d/control:
    - Fix uploader's typo
    - Bump Standards-Version to 4.6.0
    - Sets owncloud-client's Multi-Arch to no
  * d/source/lintian-overrides:
    - Comments out some overrides that seem not needed anymore
  * d/copyright: Updated

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 24 Oct 2021 22:24:03 +0200

owncloud-client (2.6.3.14058+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release
  * Add myself to uploaders
  * Switch to debhelper-compat
  * d/p/0010: Fix a bug in the code about a missing QPainterPath include
  * Drop all documentation building, due to upstream having made impossible to
    build the docs currently...

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 30 Apr 2021 13:59:09 +0200
